Imagick::waveImage
Imagick::writeImage
Imagick
PHP Manual

# Imagick::whiteThresholdImage

Force all pixels above the threshold into white

### Description

bool Imagick::whiteThresholdImage ( mixed `$threshold` )

Is like Imagick::ThresholdImage() but force all pixels above the threshold into white while leaving all pixels below the threshold unchanged.

### Parameters

`threshold`

### Return Values

Returns `TRUE` on success.

### Changelog

Version | Description
--- | ---
2.1.0 | Now allows a string representing the color as a parameter. Previous versions allow only an ImagickPixel object.